Package: groovy.jmx.builder

## [Java] Interface JmxEventEmitterMBean

- This is the management interface for JmxEventEmitter. This MBean is used internally by JmxBuilder to broadcast events to registered listeners of the underlying MBeanServer.

  Authors:
    Vladimir Vivien
  See Also:
    JmxEventEmitter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getEvent()` Getter - returns event thrown by emitter.
    `` | `long` | `send(Object data)` Method called to dispatch event on event bus.
    `` | `void` | `setEvent(String event)` Setter - sets event thrown by Emitter.

- - ### Method Detail

    - #### public String getEvent()

      Getter - returns event thrown by emitter.

      Returns:
        event type string

    - #### public long send(Object data)

      Method called to dispatch event on event bus.

      Parameters:
        `data` - - data sent to listeners.
      Returns:
        - a sequence id generated for event.

    - #### public void setEvent(String event)

      Setter - sets event thrown by Emitter.

      Parameters:
        `event` - - event type string